Skip to main content
GET
/
forms
/
{id}
/
submissions
List form submissions
curl --request GET \
  --url https://api.spike.ac/forms/{id}/submissions \
  --header 'Authorization: Bearer <token>'
{
  "submissions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "data": {},
      "createdAt": "<string>",
      "ipHash": "<string>",
      "city": "<string>",
      "region": "<string>",
      "regionCode": "<string>",
      "country": "<string>",
      "continent": "<string>",
      "latitude": "<string>",
      "longitude": "<string>",
      "postalCode": "<string>",
      "timezone": "<string>",
      "os": "<string>",
      "browser": "<string>",
      "device": "<string>",
      "userAgent": "<string>",
      "referrer": "<string>",
      "utmCampaign": "<string>",
      "utmSource": "<string>"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Documentation Index

Fetch the complete documentation index at: https://doc.spike.ac/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication using either a Supabase JWT token or an API key (prefixed with sk_). Both token types are passed as Bearer tokens in the Authorization header.

Path Parameters

id
string
required

Form ID

Query Parameters

limit
string

Maximum number of submissions to return

offset
string

Number of submissions to skip

since
string

Filter submissions since this date (ISO 8601)

order
string

Sort order (asc/desc)

Response

List of submissions

submissions
object[]
required
total
number
required
limit
number
required
offset
number
required